Subject: Re: bug#32902: Add support for (TIMESTAMP . RESOLUTION) Lisp timestamps

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Oct 2018 20:55:54 +0300

> Cc: [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Sat, 6 Oct 2018 23:32:00 -0700
> 
> Eli Zaretskii wrote:
> > OK, but can we call the new file something like timefns.c?
> 
> Sure, that's easy enough. I revamped the patches to do that and installed them 
> into master. Closing the bug report.

Thanks.

I saw a compilation problem with mingw.org's MinGW:

  timefns.c: In function 'lisp_to_timespec':
  timefns.c:899:21: warning: passing argument 2 of 'mpz_time' from incompatible pointer type [-Wincompatible-pointer-types]
     if (mpz_time (*q, &result.tv_sec))
		       ^
  timefns.c:828:1: note: expected 'time_t * {aka long int *}' but argument is of type '__time64_t * {aka long long int *}'
   mpz_time (mpz_t const z, time_t *t)
   ^~~~~~~~

I fixed it, but please take a look, perhaps there's a better fix for
this situation.